Self-service registration (free plan)
POST
/api/v1/auth/register
const url = 'https://api.totalview.energy/api/v1/auth/register';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"example","password":"example","full_name":"example","company_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.totalview.energy/api/v1/auth/register \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "password": "example", "full_name": "example", "company_name": "example" }'Create a new free-plan customer and user in one transaction. Issues a JWT immediately.
Request Body required
Section titled “Request Body required ” Media type application/json
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}